import { Msg } from '../../types/message.type';
export declare class NkSupply {
  /**
   * Drop SDK Key
   */
  apikey: string;
  /**
   * Flag to enable testnet mode
   */
  dev: boolean;
  loading: boolean;
  msg: Msg;
  private drop;
  private maxAmount;
  private totalSupply;
  componentWillLoad(): void;
  render(): any;
  private initDrop;
}
